Need Itunes 9 Help...

Discussion in 'Mac Apps and Mac App Store' started by WordLife565, Sep 16, 2009.

  1. WordLife565 macrumors regular

    Joined:
    Sep 2, 2008
    Location:
    Charlotte, NC
    #1
    iTunes says that I have quicktime 7.5.5, and it needs 7.6.4 in order for iTunes to work....but the thing is....I updated to 7.6.4, and iTunes still isn't working. I have no clue what is going on. I uninstalled iTunes, and reinstalled it, and it is still saying this, I have no clue what is going on.
     
  2. WordLife565 thread starter macrumors regular

    Joined:
    Sep 2, 2008
    Location:
    Charlotte, NC
    #2
    okay, it's good now, just needed a simple computer restart...they said I didn't need one, but I did so now its good.
     

Share This Page